Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.ast
Interface CallerConstraintNode

All Superinterfaces:
  java.lang.Cloneable, ConstraintNode, polyglot.util.Copy, polyglot.ast.JL, polyglot.ast.Node, polyglot.ast.NodeOps

All Known Implementing Classes:
  CallerConstraintNode_c

    public interface CallerConstraintNode

extends ConstraintNode

A caller constraint node. It requests the caller of a method are granted certain authorities.

Grammer: `caller(principal_list)`

Method Summary
`java.util.List` | `principals()` Gets the list of principals who need to grant their authorities to the caller.
`CallerConstraintNode` | `principals(java.util.List principals)` Returns a copy of this node with the principal list updated.

Methods inherited from interface jif.ast.ConstraintNode
`constraint, constraint`

Methods inherited from interface polyglot.ast.Node
`childExpectedType, del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitChild, visitEdge, visitList`

Methods inherited from interface polyglot.ast.JL
`init, node`

Methods inherited from interface polyglot.ast.NodeOps
`addDecls, buildTypes, buildTypesEnter, checkConstants, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, prettyPrint, prettyPrint, prettyPrint, throwTypes, translate, typeCheck, typeCheckEnter, typeCheckOverride, visitChildren`

Methods inherited from interface polyglot.util.Copy
`copy`

Method Detail

### principals

    java.util.List principals()

  Gets the list of principals who need to grant their authorities to the caller.

### principals

    CallerConstraintNode principals(java.util.List principals)

  Returns a copy of this node with the principal list updated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD